module TweekCatalogue
  class Keyword

    include MongoMapper::Document
    include Concerns::ObjectFactories

    key :tmdb_id, String
    key :name, String

    timestamps!

    validates_uniqueness_of :tmdb_id

    def self.build_primary_key(attrs)
      { tmdb_id: attrs[:tmdb_id].to_s }
    end
  end
end
