module TweekCatalogue
  class Network
    include MongoMapper::Document
    include Concerns::ObjectFactories

    key :tmdb_id, String
    key :name, String

    timestamps!

    def self.build_primary_key(attrs)
      { tmdb_id: attrs[:tmdb_id].to_s }
    end
  end
end
