module TweekCatalogue
  class ProductionCountry

    include MongoMapper::Document
    include Concerns::ObjectFactories

    key :country_code, String
    key :name, String

    timestamps!

    validates_uniqueness_of :country_code

    def self.build_primary_key(attrs)
      { country_code: attrs[:country_code] }
    end
  end
end
