module TweekCatalogue
  class Serie < Video

    key :runtime, Array

    def seasons
      SerieSeason.where(:serie_tmdb_id => tmdb_id).all
    end

    def episodes
      seasons.map do |s|
        s.episodes
      end.flatten
    end
  end
end
