module TweekCatalogue
  class SpokenLanguage

    include MongoMapper::Document
    include Concerns::ObjectFactories

    key :lang_code, String
    key :name, String

    timestamps!

    validates_uniqueness_of :lang_code

    def self.build_primary_key(attrs)
      { lang_code: attrs[:lang_code] }
    end
  end
end
